summaryrefslogtreecommitdiff
path: root/t/parallel-tests-logvars-example.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/parallel-tests-logvars-example.sh')
-rw-r--r--t/parallel-tests-logvars-example.sh77
1 files changed, 77 insertions, 0 deletions
diff --git a/t/parallel-tests-logvars-example.sh b/t/parallel-tests-logvars-example.sh
new file mode 100644
index 000000000..c684ceafb
--- /dev/null
+++ b/t/parallel-tests-logvars-example.sh
@@ -0,0 +1,77 @@
+#! /bin/sh
+# Copyright (C) 2011-2015 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test the example of usage of generic and extension-specific
+# LOG_COMPILER, LOG_FLAGS and LOG_DEPENDNECIES given in the manual.
+
+required=python
+. test-init.sh
+
+cat >> configure.ac <<END
+AC_SUBST([PERL], ['$PERL'])
+AM_PATH_PYTHON
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+TESTS = foo.pl bar.py baz
+TEST_EXTENSIONS = .pl .py
+
+PL_LOG_COMPILER = $(PERL)
+AM_PL_LOG_FLAGS = -w
+
+LOG_COMPILER = ./wrapper-script
+AM_LOG_FLAGS = -d
+
+PY_LOG_COMPILER = $(PYTHON)
+AM_PY_LOG_FLAGS = -v
+PY_LOG_DEPENDENCIES = mymod.py
+mymod.py:
+ echo "import sys" >$@
+END
+
+echo 'my $a =+ 2; exit (0);' > foo.pl
+echo 'import mymod; mymod.sys.exit(0);' > bar.py
+: > baz
+
+cat > wrapper-script <<'END'
+#!/bin/sh
+echo "wrapper args: $*"
+END
+chmod a+x wrapper-script
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a
+
+./configure
+
+st=0
+$MAKE check || st=$?
+cat foo.log
+cat bar.log
+cat baz.log
+cat foo.trs
+cat bar.trs
+cat baz.trs
+test $st -eq 0 || exit $st
+
+# Check that the wrappers have been run with the expected flags.
+grep '[rR]eversed.*+=.*operator.*foo\.pl' foo.log
+grep '^# *[cC]lear.*sys\.argv' bar.log
+grep '^wrapper args:.* -d .*baz' baz.log
+
+: